(define-module (alterator type postfix-limit)
    :use-module (alterator woo)
    :export (type))

(define (valid-integer? v)
  (and (integer? v) (>= v 0)))

(define (type v _)
  (or (and (string? v) (string-null? v))
      (and (string? v) (valid-integer? (string->number v)))
      (and (integer? v) (valid-integer? v))
      (type-error (_ "should be non negative integer" "alterator-postfix-restrictions"))))
