(define-module (alterator type postfix-address)
    :use-module (alterator woo)
    :export (type))

(define *address-regex-str* "^[a-z0-9_@.-]+$")

(define *address-regex* (make-regexp *address-regex-str* regexp/extended))

(define (type v _)
  (or (and (string? v) (string-null? v))
      (and (string? v) (regexp-exec *address-regex* v))
      (type-error (_ "invalid address" "alterator-postfix-restrictions"))))

